Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.style.props
Enum OdfStylePropertiesSet

    java.lang.Object
      java.lang.Enum<OdfStylePropertiesSet>
          org.odftoolkit.odfdom.dom.style.props.OdfStylePropertiesSet

All Implemented Interfaces:
  Serializable, Comparable<OdfStylePropertiesSet>

    public enum OdfStylePropertiesSet

extends Enum<OdfStylePropertiesSet>

Enum Constant Summary
`ChartProperties`
`DrawingPageProperties`
`GraphicProperties`
`HeaderFooterProperties`
`ListLevelProperties`
`PageLayoutProperties`
`ParagraphProperties`
`RubyProperties`
`SectionProperties`
`TableCellProperties`
`TableColumnProperties`
`TableProperties`
`TableRowProperties`
`TextProperties`

Method Summary
`static OdfStylePropertiesSet` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfStylePropertiesSet[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ListLevelProperties

    public static final OdfStylePropertiesSet ListLevelProperties

### ChartProperties

    public static final OdfStylePropertiesSet ChartProperties

### GraphicProperties

    public static final OdfStylePropertiesSet GraphicProperties

### TableCellProperties

    public static final OdfStylePropertiesSet TableCellProperties

### ParagraphProperties

    public static final OdfStylePropertiesSet ParagraphProperties

### TextProperties

    public static final OdfStylePropertiesSet TextProperties

### SectionProperties

    public static final OdfStylePropertiesSet SectionProperties

### RubyProperties

    public static final OdfStylePropertiesSet RubyProperties

### TableProperties

    public static final OdfStylePropertiesSet TableProperties

### TableColumnProperties

    public static final OdfStylePropertiesSet TableColumnProperties

### TableRowProperties

    public static final OdfStylePropertiesSet TableRowProperties

### DrawingPageProperties

    public static final OdfStylePropertiesSet DrawingPageProperties

### HeaderFooterProperties

    public static final OdfStylePropertiesSet HeaderFooterProperties

### PageLayoutProperties

    public static final OdfStylePropertiesSet PageLayoutProperties

Method Detail

### values

    public static OdfStylePropertiesSet[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfStylePropertiesSet c : OdfStylePropertiesSet.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfStylePropertiesSet valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.